Canalplan Bug Tracker



Anonymous Login
2019-06-26 02:41 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000211Canalplan [All Projects] Bugpublic2019-05-18 22:30
Reportergpearn 
Assigned ToNick Atty 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformpcOSwindowsOS Version10
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000211: speed preferences not taken into account
DescriptionPlanning a trip whilton marina to leeds visitor moorings. Have preferences set to NEVER use Tidal rivers but the software insists on using the tidal trent which I was not expecting. Have tried saving, logging out and back in.
Steps To Reproduceset preferences, apply, preference change not taken into account.
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

-Relationships
+Relationships

-Notes

~0000808

Shultzy (updater)

Nick, this is correct. Both sections [River Trent (tidal section - Cromwell to Keadby)] and [River Trent (tidal section - Keadby to Trent Falls)] are designated as [Tidal rivers].

~0000809

Nick Atty (administrator)

On my development machine it goes via the T&M and the L&L as you'd expect. So it looks like some change to the database since I last downloaded it has changed things. Am investigating.

~0000810

Nick Atty (administrator)

When I looked at my preferences, they had "Neutral" for Tidal Rivers. When I set them to "NEVER" I then got the right route.

Can you double check that your preferences haven't got themselves modified (that would be another, odder and harder to track, bug).

~0000811

Shultzy (updater)

I've checked again this morning and the [Tidal Rivers] are still set to "NEVER" in my preferences. I've checked it with [apply] and [save] and it makes no difference to the planned route, it still shows both tidal sections in the route.

~0000974

Nick Atty (administrator)

Can you check this is still happeneing?

I've just tried again and changing the tidal preference toggles it between using the Trent to Keadby when at "Neutral" and the T&M and Hudderfield when at "NEVER"

One sudden thought: have you got yourself on "quickest route", not "preferred"? That doesn't take into account preferences [I wonder if I actually need this any more, or would be better obliterating it]

~0000975

gpearn (reporter)

I've done as you requested.

Creating the route via the planning wizard takes me down the tidal Trent. using the wizard there is no option obvious to use "preferred" over "Quickest"

When I went and changed my preferences and saved them as you suggested, recalculating the route takes me via the L&L.

I was expecting the app to use my preferences at all times so removing the quickest option or setting the default to use "Preferred" would seem to me to be a good idea.

~0002355

Nick Atty (administrator)

Have removed "quickest" option, and I don't think this is happening any more.

~0002458

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2016-11-07 21:37 gpearn New Issue
2016-11-07 21:51 user3 Assigned To => Nick Atty
2016-11-07 21:51 user3 Status new => assigned
2016-11-07 23:27 Shultzy Note Added: 0000808
2016-11-08 07:14 Nick Atty Note Added: 0000809
2016-11-08 07:18 Nick Atty Note Added: 0000810
2016-11-08 12:05 Shultzy Note Added: 0000811
2017-03-04 08:58 Nick Atty Note Added: 0000974
2017-03-04 10:05 gpearn Note Added: 0000975
2019-04-18 21:53 Nick Atty Status assigned => resolved
2019-04-18 21:53 Nick Atty Resolution open => fixed
2019-04-18 21:53 Nick Atty Note Added: 0002355
2019-05-18 22:30 Autoclose Note Added: 0002458
2019-05-18 22:30 Autoclose Status resolved => closed
+Issue History